View Issue Details

IDProjectCategoryView StatusLast Update
0016113LazarusIDEpublic2010-04-21 14:15
ReporterMarelisAssigned ToDmitry Boyarintsev 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSUbuntuOS Version9.10
Product Version0.9.29 (SVN)Product Build24123 
Target VersionFixed in Version0.9.30 
Summary0016113: Menu Editor window display is distorted.
DescriptionWhen you open the Menu Editor to edit items TPopupMenu, so the menu list to select the 'cowers' somewhere on the right, you can not stretch with the mouse and there is such a tiny ;-) See attached screenshot.
TagsNo tags attached.
Fixed in Revision24214
LazTarget0.9.30
WidgetsetGTK 2
Attached Files

Activities

2010-03-25 20:05

 

MenuEditor.png (19,641 bytes)
MenuEditor.png (19,641 bytes)

Dmitry Boyarintsev

2010-03-25 21:20

developer   ~0036090

the splitter has been added to the menu editor.
please test and close if ok

Marelis

2010-03-30 11:38

reporter   ~0036288

Tested in svn revision 24291, I see the splitter, but:

1) If it's TPopupMenu newly inserted, so I do not see an item, just a tiny square (see second image attachment). And when I switch Visible from True to False and then back to True in the Object Inspector to see the item.

2) After first opening Menu Editor is a menu list with a small width on the right (this is more a cosmetic glitch, nothing serious, after moving the mouse splitter is a list of menu wide enough)

Thanks.

2010-03-30 11:38

 

24291.png (71,644 bytes)
24291.png (71,644 bytes)

Marelis

2010-04-21 14:15

reporter   ~0036879

Tested in svn revision 24779, that's fine. Thank you.

Issue History

Date Modified Username Field Change
2010-03-25 20:05 Marelis New Issue
2010-03-25 20:05 Marelis File Added: MenuEditor.png
2010-03-25 20:05 Marelis Widgetset => GTK 2
2010-03-25 21:20 Dmitry Boyarintsev Fixed in Revision => 24214
2010-03-25 21:20 Dmitry Boyarintsev LazTarget => 0.9.30
2010-03-25 21:20 Dmitry Boyarintsev Status new => resolved
2010-03-25 21:20 Dmitry Boyarintsev Fixed in Version => 0.9.30
2010-03-25 21:20 Dmitry Boyarintsev Resolution open => fixed
2010-03-25 21:20 Dmitry Boyarintsev Assigned To => Dmitry Boyarintsev
2010-03-25 21:20 Dmitry Boyarintsev Note Added: 0036090
2010-03-30 11:38 Marelis Note Added: 0036288
2010-03-30 11:38 Marelis File Added: 24291.png
2010-04-21 14:15 Marelis Status resolved => closed
2010-04-21 14:15 Marelis Note Added: 0036879